[or-cvs] r16225: TorK 0.29.2 (incognito/trunk/portage.overlay/kde-misc/tork)

anonym at seul.org anonym at seul.org
Sun Jul 27 14:15:47 UTC 2008


Author: anonym
Date: 2008-07-27 10:15:47 -0400 (Sun, 27 Jul 2008)
New Revision: 16225

Added:
   incognito/trunk/portage.overlay/kde-misc/tork/tork-0.29.2.ebuild
Removed:
   incognito/trunk/portage.overlay/kde-misc/tork/tork-0.29.1.ebuild
Modified:
   incognito/trunk/portage.overlay/kde-misc/tork/Manifest
Log:
TorK 0.29.2


Modified: incognito/trunk/portage.overlay/kde-misc/tork/Manifest
===================================================================
--- incognito/trunk/portage.overlay/kde-misc/tork/Manifest	2008-07-27 14:15:16 UTC (rev 16224)
+++ incognito/trunk/portage.overlay/kde-misc/tork/Manifest	2008-07-27 14:15:47 UTC (rev 16225)
@@ -1,2 +1,2 @@
-DIST tork-0.29.1.tar.bz2 2670801 RMD160 f283c12b1073707f9520018fe026811e6e3ea4e6 SHA1 4db309d0ba1f2c837715691c51a832a79f836419 SHA256 67ae6eaed6195f2ca59f63650f4edd774fac73c8609be001d08247f161a877d3
-EBUILD tork-0.29.1.ebuild 1047 RMD160 78d58d3c907a490bc30b02fa530c7224d57da868 SHA1 63c5283800bff678031a83b394f587edfdd16f8e SHA256 e4fcc55b79b9e34aae0a26e2218eeb4d72c188e46a51202eaa1bfc5593b15923
+DIST tork-0.29.2.tar.bz2 2671441 RMD160 52f41c961c55d1091425e2c5f8694f6d96fc9744 SHA1 bea5ad063bd4b1fda9ce9c28d5315bd7ba222f3d SHA256 a0b85e0ae53d94eefdaaa483b9b459bc944bcfb17fc20dcfddd2e9f15b775638
+EBUILD tork-0.29.2.ebuild 1187 RMD160 55f72ce20b235b34fdda0d8372943f91c0a34d18 SHA1 a6b23abec81fb64dcb41fc893f33a2e2fef6daa1 SHA256 0345bd1f4e2713c1016800b8d8a89bb017278e8c68429cf78c692855c1e4feeb

Deleted: incognito/trunk/portage.overlay/kde-misc/tork/tork-0.29.1.ebuild
===================================================================
--- incognito/trunk/portage.overlay/kde-misc/tork/tork-0.29.1.ebuild	2008-07-27 14:15:16 UTC (rev 16224)
+++ incognito/trunk/portage.overlay/kde-misc/tork/tork-0.29.1.ebuild	2008-07-27 14:15:47 UTC (rev 16225)
@@ -1,40 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-inherit kde multilib
-
-DESCRIPTION="A Tor controller for the KDE desktop"
-HOMEPAGE="http://tork.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
-IUSE=""
-
-DEPEND="dev-libs/openssl
-	>=dev-libs/geoip-1.4.0
-	|| ( kde-base/kdebase kde-base/libkonq )"
-
-RDEPEND="${DEPEND}
-	>=net-misc/tor-0.1.2.14
-	>=net-proxy/tsocks-1.8_beta5-r2"
-
-need-kde 3.5
-
-src_compile() {
-	# Fix desktop file
-	sed -i -e "s:^\(Categories=.*\):\1;:" "${S}/src/tork.desktop"
-
-	local myconf="--with-external-geoip --with-conf=/etc/socks/tsocks.conf"
-	kde_src_compile
-}
-
-pkg_postinst() {
-	if ! built_with_use --missing false net-proxy/tsocks tordns; then
-		ewarn "WARNING: you have net-proxy/tsocks installed without"
-		ewarn "the patch to avoid DNS leaking while using Tor."
-		ewarn "For better privacy, please emerge again net-proxy/tsocks"
-		ewarn "with the USE flag 'tordns' enabled."
-	fi
-}

Added: incognito/trunk/portage.overlay/kde-misc/tork/tork-0.29.2.ebuild
===================================================================
--- incognito/trunk/portage.overlay/kde-misc/tork/tork-0.29.2.ebuild	                        (rev 0)
+++ incognito/trunk/portage.overlay/kde-misc/tork/tork-0.29.2.ebuild	2008-07-27 14:15:47 UTC (rev 16225)
@@ -0,0 +1,49 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+inherit kde multilib
+
+DESCRIPTION="A Tor controller for the KDE desktop"
+HOMEPAGE="http://tork.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
+IUSE="arts livecd"
+
+DEPEND="dev-libs/openssl
+	>=dev-libs/geoip-1.4.0
+	|| ( kde-base/kdebase kde-base/libkonq )"
+
+RDEPEND="${DEPEND}
+	>=net-misc/tor-0.1.2.14
+	>=net-proxy/tsocks-1.8_beta5-r2"
+
+need-kde 3.5
+
+src_compile() {
+	# Fix desktop file
+	sed -i -e "s:^\(Categories=.*\):\1;:" "${S}/src/tork.desktop"
+
+	local myconf="--with-external-geoip --with-conf=/etc/socks/tsocks.conf"
+
+	if ! use arts ; then
+		myconf="${myconf} --without-arts"
+	fi
+
+	if use livecd ; then
+		myconf="${myconf} --enable-live-cd"
+	fi
+
+	kde_src_compile
+}
+
+pkg_postinst() {
+	if ! built_with_use --missing false net-proxy/tsocks tordns; then
+		ewarn "WARNING: you have net-proxy/tsocks installed without"
+		ewarn "the patch to avoid DNS leaking while using Tor."
+		ewarn "For better privacy, please emerge again net-proxy/tsocks"
+		ewarn "with the USE flag 'tordns' enabled."
+	fi
+}



More information about the tor-commits mailing list